<!DOCTYPE html>
<html lang="en">
<head>
	<title>Box-Sizing Demo</title>
	<style>
		*{
			margin: 0;
			padding: 0;
			box-sizing: border-box;
		}

		#box{
			height: 150px;
			width: 150px;
			padding: 50px;
			border: 1px solid black;
			background-color: orange;
		}
	</style>
	<!-- 
	     without box sizing: border-box:
	       1 px border top + 50 px left padding + 150 px width + 50 px right padding +
	       1 px left bottom = 252 px (for width. for height, it is again 252 px)

	     with box sizing: border-box:
	       2 px border + 100 px padding + 48 px width = 150 px
           
           the specifications for padding and border will be included in the computation of the height and width of the element.

	 -->
</head>
<body>
	<div id="box">Hello</div>
</body>
</html>